## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMOclSimpleType

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclSimpleType

    public class ASMOclSimpleType

extends ASMOclType

An OclType for simple types.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
`myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMOclSimpleType()`
`ASMOclSimpleType(java.lang.String name)`
`ASMOclSimpleType(java.lang.String name, ASMOclType supertype)`

Method Summary
`ASMBoolean` `conformsTo(ASMOclType other)`
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getName()`
`int` `hashCode()`
`static void` `setName(StackFrame frame, ASMOclSimpleType self, ASMString name)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
`addSupertype, conformsTo, get, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMOclSimpleType

    public ASMOclSimpleType()

### ASMOclSimpleType

    public ASMOclSimpleType(java.lang.String name)

### ASMOclSimpleType

    public ASMOclSimpleType(java.lang.String name,
                            ASMOclType supertype)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `ASMOclType`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### conformsTo

    public ASMBoolean conformsTo(ASMOclType other)

  Specified by:
    `conformsTo` in class `ASMOclType`

### setName

    public void setName(java.lang.String name)

### setName

    public static void setName(StackFrame frame,
                               ASMOclSimpleType self,
                               ASMString name)

Copyright 2007 IBM Corporation and others. All Rights Reserved.